org.eclipse.ease.ui.completion

## Class AbstractCompletionProvider

- java.lang.Object
- - org.eclipse.ease.ui.completion.AbstractCompletionProvider

All Implemented Interfaces:
  ICompletionProvider

Direct Known Subclasses:
  AbstractFileLocationCompletionProvider, JavaClassCompletionProvider, JavaMethodCompletionProvider, JavaPackagesCompletionProvider, LoadedModuleCompletionProvider, LoadModuleCompletionProvider, VariablesCompletionProvider

    public abstract class AbstractCompletionProvider
    extends Object
    implements ICompletionProvider

### Field Summary

### Fields inherited from interface org.eclipse.ease.ui.completion.ICompletionProvider

`TRACE_CODE_COMPLETION`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompletionProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICompletionContext` `getContext()` Get the current context.
`Collection<? extends ScriptCompletionProposal>` `getProposals(ICompletionContext context)` Calculate all matching proposals for given `ICompletionContext`.
`boolean` `isActive(ICompletionContext context)` Query indicating that this providers completion proposals should be taken into account.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCompletionProvider

    public AbstractCompletionProvider()

### Method Detail

#### isActive

    public boolean isActive(ICompletionContext context)

Description copied from interface: `ICompletionProvider`
Query indicating that this providers completion proposals should be taken into account.

Specified by:
  `isActive` in interface `ICompletionProvider`
Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  `true` when active

#### getProposals

    public Collection<? extends ScriptCompletionProposal> getProposals(ICompletionContext context)

Description copied from interface: `ICompletionProvider`
Calculate all matching proposals for given `ICompletionContext`.

Specified by:
  `getProposals` in interface `ICompletionProvider`
Parameters:
  `context` - `ICompletionContext` with necessary information to calculate proposals.
Returns:
  Collection of matching proposals.

#### getContext

    public ICompletionContext getContext()

Get the current context. Only valid during proposal evaluation. Clients may retrieve the content when `prepareProposals(ICompletionContext)` is called.

Returns:
  the current context or `null` when proposals are not evaluated